# Uses of Interface
org.eclipse.birt.report.engine.content.IBandContent

Packages that use IBandContent
Package
Description
org.eclipse.birt.report.engine.content
Defines interfaces of BIRT report items for Engine to pass from executors to emitters.

## Uses of IBandContent in org.eclipse.birt.report.engine.content

Subinterfaces of IBandContent in org.eclipse.birt.report.engine.content
Modifier and Type
Interface
Description
`interface`
`IListBandContent`
Provides the interface for the Band Content in List.
`interface`
`ITableBandContent`
Provides the interfaces for the Table Band Content
Methods in org.eclipse.birt.report.engine.content that return IBandContent
Modifier and Type
Method
Description
`IBandContent`
IRowContent.`getBand()`
Get the band
`IBandContent`
IGroupContent.`getFooter()`
Get the footer of the group.
`IBandContent`
IGroupContent.`getHeader()`
Get the header of the group.